Powermail 1.6.4 ==> 2.0.0

  • heck heck
    Padawan
    0 x
    55 Beiträge
    0 Hilfreiche Beiträge
    17. 06. 2012, 12:43

    Hallo zusammen,

    ich habe eine Seite in Pflege genommen, auf der mein Vorgänger Powermail 1.6.4 als Extension laufen hat. Ich bin jetzt dabei, die Seite auf Mehrsprachigkeit umzubauen, möchte aber wenn möglich nicht die Anpassung in der alten Extension machen (ist wohl viel Handarbeit) sondern die eingebaute Lokalisierung der Version 2.0.0 nutzen.

    Da es ja keinen Updateweg zu der neuen Version gibt, habe ich jetzt mal beim Autor nachgefragt, inwieweit man die 2.0.0 bedenkenlos parallel zur vorhandenen Version installieren kann (dann wären die Formulare weiter online und ich könnte eines nach dem anderen umstellen). Leider (verständlicherweise) gibt er keinen Support und verweist auf das Forum. Darum die Frage an euch: Hat da schon jemand Erfahrung damit und ist diesen Weg gegangen?


  • 1
  • stpadberg stpadberg
    Sternenflotten-Admiral
    0 x
    233 Beiträge
    0 Hilfreiche Beiträge
    18. 07. 2012, 09:24

    Hallo,

    wie willst du denn eine parallele Installation technisch umsetzen?

    Du brauchst ja ein eigenes Verzeichnis im 'typo3conf/ext/'-Verzeichnis. Also müsstest du - vorzugsweise, aber nicht notwenigerweise - in der alten Powermail-Version die Verzeichnis-Variablen patchen.

    Ein weiteres Problem entsteht durch die Kennung, mit der sich das Plugin in 'tt_content' einträgt. Die müsste auch geändert werden, damit der Typo3-Pagegenerator weiß, ob es sich um das alte oder das neue Plugin handelt.

    Und vermutlich wirst du im TCA-Array auch etwas anfassen müssen, also: 'localconf.php', 'tables.php' und 'tca.php' patchen.

    Außerdem ist es so, dass die jüngste Powermail-Version der 1.6-er-Reihe als unsicher eingestuft worden ist.

    Also insgesamt handelt man sich doch eine Reihe von riskanten Problemen ein, wenn man so vorhegen würde.

    Allerdings kann ich dich insofern verstehen, als es wirklich keine Möglichkeit zu geben scheint, die alten 1.6-er-Formulare mit der 2.0-er-Version zu nutzen. Ich habs jedenfalls noch nicht raus. Ich soll hier eine Installation mit ca. 30 bis 40 verschiedenen Powermail-Formularen updaten, im Live-Betrieb! Es ist mir völlig unklar, wie das gehen kann.

    Deshalb auch meine Frage in die Runde: Weiß jemand, wie man die Formulare der 1.6-er-Reihe mit der 2.0-er-Version zum Laufen bekommen kann?

    Gruß
    stpadberg

    Bergische Webschmiede
    Dipl.-Ing. Stefan Padberg
    TYPO3-Integrator und Webprogrammierer

  • FreeBatman FreeBatma...
    Jedi-Meister
    0 x
    301 Beiträge
    0 Hilfreiche Beiträge
    02. 09. 2014, 14:54

    Hallo,
    habt Ihr das Problem mittlerweile irgendwie lösen können??

  • einpraegsam.net einpraegs...
    MacGyver
    0 x
    9340 Beiträge
    80 Hilfreiche Beiträge
    08. 09. 2014, 13:06

    Ich empfehle folgendes Vorgehen beim Update einer TYPO3 4.x auf 6.2 LTS Umgebung mit powermail 1.x:
    - Klonen der Installationen (Testumgebung).
    - powermail 1.x deaktivieren
    - Update der Umgebung von 4.x auf 6.2 LTS
    - Installation von powermail 2.1 (Alle Infos zu dieser Version https://forge.typo3.org/projects/extension-powermail)
    - Öffnen des Backend-Moduls Mail
    - Konvertieren der Formulare auswählen
    - Dryrun ausprobieren

    Hinweis: Derzeit gibt es nur einen Formular-Konverter. Die Mails werden nicht konvertiert.

    in2code.de - Wir leben TYPO3
    - Möchtest du TYPO3 komplett verstehen? Eigene Erweiterungen erstellen? Bei uns gibt es auch Schulungen https://www.in2code.de/produkte/typo3-schulungen/
    - Die Arbeit mit TYPO3 macht dir Spaß? Du stehst auf Berge? Komm zu uns! https://www.in2code.de/agentur/karriere/

  • 0 x
    26 Beiträge
    0 Hilfreiche Beiträge
    15. 07. 2015, 10:51

    Hallo,

    gibt es mittlerweile auch einen Mail-Konverter?
    Habe alle Formulare erfolgreich umgewandelt, nur leider fehlen die Mails :'(

    Typo3 6.2.14 und Powermail 2.5

  • einpraegsam.net einpraegs...
    MacGyver
    0 x
    9340 Beiträge
    80 Hilfreiche Beiträge
    15. 07. 2015, 12:15

    Nichts offizielles - aber auf Github gibt es ein Script, dass das machen soll (ungetestet):
    http://docs.typo3.org/typo3cms/extensions/powermail/Faq/Index.html

    in2code.de - Wir leben TYPO3
    - Möchtest du TYPO3 komplett verstehen? Eigene Erweiterungen erstellen? Bei uns gibt es auch Schulungen https://www.in2code.de/produkte/typo3-schulungen/
    - Die Arbeit mit TYPO3 macht dir Spaß? Du stehst auf Berge? Komm zu uns! https://www.in2code.de/agentur/karriere/

  • 1